package com.liquidnet.service.kylin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.liquidnet.service.kylin.dao.*;
import com.liquidnet.service.kylin.entity.KylinTickets;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 票 Mapper 接口
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-06
 */
public interface KylinTicketsMapper extends BaseMapper<KylinTickets> {

    List<TicketAgentDao> ticketAgent(String performanceIs);

    List<TicketDamaiDao> ticketDamai(String performanceIs);

    List<PerformancesTicketListDao> getPerformancesTicketList(String performanceId);


    List<TicketAndStatusDao> selectTicketsByIds(List<String> ticketsIdList);

    ShowAgentDao selectOneByPerIdAndTicketId(@Param("ticketId")String ticketId);
}
